export default class JDLApplication {
    config: any;
    entityNames: any;
    options: any;
    constructor({ config, entityNames }?: any);
    setConfigurationOption(option: any): void;
    hasConfigurationOption(optionName: any): any;
    getConfigurationOptionValue(optionName: any): any;
    forEachConfigurationOption(passedFunction: any): void;
    addEntityName(entityName: any): void;
    addEntityNames(entityNames?: any): void;
    getEntityNames(): any;
    hasEntityName(entityName: any): any;
    forEachEntityName(passedFunction: any): void;
    addOption(jdlOption: any): void;
    forEachOption(passedFunction: any): void;
    getOptionQuantity(): any;
    toString(): string;
}
